import { Notifier } from '@dvn/alaca/global/notifier/models';
import { ResponsiveSize, ResponsiveUIHelper } from '@dvn/alaca/utils/ui';
import { HTMLStencilElement } from '../../../../../stencil-public-runtime';
import { MentornityApi } from 'src/modules/mentornity-js-client';
import { Config } from 'src/modules/mentornity-js-client/models';
import { MentornityBridgeApi } from '../../api/mentorinty-bridge-api';
import { MentornityAnnouncementWrapperI18n } from './i18n';
export declare class MentornityAnnouncementsPageWrapper {
  private api;
  private apiSozluk;
  uiHelper: ResponsiveUIHelper;
  el: HTMLStencilElement;
  size: ResponsiveSize;
  mentornityApi: MentornityApi;
  organisationConfig?: Config;
  mentornityBridgeApi?: MentornityBridgeApi;
  showCreateAnnouncementDialog: boolean;
  showAnnouncementPreview: any;
  showReportDialog: boolean;
  isPreview: boolean;
  editableAnnouncement: any;
  activeStep: number;
  selectedItems: any[];
  announcements: any;
  isAnnouncementsLoading: boolean;
  openSendEmailsControlDialog: boolean;
  isSaving: boolean;
  isClosing: boolean;
  currentAnnouncement: any;
  currentAnnouncementTarget: 'all' | 'mentors' | 'mentees' | 'customMentors' | 'customMentees';
  strings: MentornityAnnouncementWrapperI18n;
  randomId: number;
  language: string;
  notifier: Notifier;
  timeFormat: string;
  timeZone: string;
  componentWillLoad(): Promise<void>;
  fetchAnnouncements(): Promise<void>;
  formatAnnouncementContent: (content: string) => string;
  onSizeChange: (size: ResponsiveSize) => void;
  isMobileUI: () => boolean;
  updateStatusAnnouncementEvent(event?: CustomEvent): void;
  updateStatusAnnouncement: (announcement: any) => void;
  showPreviewDialogHandler(event?: CustomEvent): void;
  previewAsUserHandler(event?: CustomEvent): void;
  openAnnouncementReport(event?: CustomEvent): Promise<void>;
  openSelectUsersDialog(event?: CustomEvent): void;
  showErrorMessage(message: any): void;
  duplicateAnnouncement(event?: CustomEvent): void;
  sendEmails(): Promise<void>;
  getCurrentAnnouncement(event?: CustomEvent): void;
  setAnnouncementRole(event?: CustomEvent): void;
  editAnnoncement(event?: CustomEvent): void;
  deleteAnnouncement(event?: CustomEvent): Promise<void>;
  updateAnnouncement: (announcement: any, goNextStep?: boolean) => Promise<void>;
  createAnnouncement: (sendNotify?: boolean, goNextStep?: boolean) => Promise<void>;
  sendEmailsToSelectedUsers: () => Promise<void>;
  makeActionForCurrentStep: () => Promise<void>;
  getCurrentContent: () => any;
  render(): any;
  renderSteps: () => any;
}
